## org.apache.lucene.util
Class BytesRefHash.MaxBytesLengthExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.util.BytesRefHash.MaxBytesLengthExceededException

All Implemented Interfaces:
  Serializable

Enclosing class:
  BytesRefHash

    public static class BytesRefHash.MaxBytesLengthExceededException

extends RuntimeException

Thrown if a `BytesRef` exceeds the `BytesRefHash` limit of `ByteBlockPool.BYTE_BLOCK_SIZE`-2.

See Also:
  Serialized Form

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.